Bug 35175 - dhcpd will not start without subnets declared for each interface
dhcpd will not start without subnets declared for each interface
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: dhcp (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-08 06:01 EDT by Espen Carlsen
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-16 09:31:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Espen Carlsen 2001-04-08 06:01:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


dhcpd will not start from the sysv init scripts if you do not declare a 
subnet for each interface in the machine.

Reproducible: Always
Steps to Reproduce:
1. Configure a machine with two network adapters on different subnets
2. Use linuxconf to create an ip range for one of the subnets
3. Save dhcp configuration and exit linuxconf
4. Try to restart the dhcp damon with /etc/rc.d/init.d/dhcpd restart
5. dhcpd will not start.
	

Actual Results:  The script returned this error message:
Starting dhcpd: Internet Software Consortium DHCP Server 2.0
Copyright 1995, 1996, 1997, 1998, 1999 The Internet Software Consortium.
All rights reserved.

Please contribute if you find this software useful.
For info, please visit http://www.isc.org/dhcp-contrib.html

Listening on LPF/eth1/00:90:27:1f:4d:34/192.168.1.0
Sending on   LPF/eth1/00:90:27:1f:4d:34/192.168.1.0
No subnet declaration for eth0 (194.198.42.96).
Please write a subnet declaration for the network segment to
which interface eth0 is attached.
exiting.
                                                           [FAILED]
Comment 1 Elliot Lee 2001-09-11 18:09:39 EDT
This is intentional behaviour on the part of the dhcpcd authors. Argue with
them... :)

Note You need to log in before you can comment on or make changes to this bug.